## org.eclipse.datatools.enablement.hsqldb.connection
Class HSQLDBJDBCConnectionFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.drivers.jdbc.JDBCConnectionFactory
          org.eclipse.datatools.connectivity.db.generic.JDBCConnectionFactory
              org.eclipse.datatools.enablement.hsqldb.connection.HSQLDBJDBCConnectionFactory

All Implemented Interfaces:
  IConnectionFactory

    public class HSQLDBJDBCConnectionFactory

extends JDBCConnectionFactory

Author:
  brianf

Constructor Summary
`HSQLDBJDBCConnectionFactory()`

Method Summary
`IConnection` `createConnection(IConnectionProfile profile)` This method creates a connection to a server based on the properties specified by the connection profile.

Methods inherited from class org.eclipse.datatools.connectivity.drivers.jdbc.JDBCConnectionFactory
`createConnection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSQLDBJDBCConnectionFactory

    public HSQLDBJDBCConnectionFactory()

Method Detail

### createConnection

    public IConnection createConnection(IConnectionProfile profile)

  Description copied from interface: `IConnectionFactory`
  This method creates a connection to a server based on the properties specified by the connection profile. This method uses the user id and password specified in the profile.

  Specified by:
    `createConnection` in interface `IConnectionFactory`
  Overrides:
    `createConnection` in class `JDBCConnectionFactory`
  Parameters:
    `profile` - the profile to connect to.
  Returns:
    a connection if successful